uk.ac.starlink.util

## Class PhysicalConstants

- java.lang.Object
- - uk.ac.starlink.util.PhysicalConstants

-     public class PhysicalConstants
      extends java.lang.Object

  Class of physical and astronomical constants. Please add more and check accuracy.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `ACCEL_GRAV` Standard acceleration of gravity on Earth m.s^-2
    `static double` | `AU` 1 Astronomical unit - m
    `static double` | `BOLTZMANN` Boltzmann constant - J.K^-1
    `static double` | `ELECTRON_MASS` Electron mass - Kg
    `static double` | `ELECTRON_VOLT` Electron volt - J
    `static double` | `FINE_STRUCTURE` Fine structure constant - unitless
    `static double` | `GRAVITATION` Gravitational constant - N.m^2.Kg^-2
    `static double` | `JANSKY` 1 Jansky - W.m^-2.Hz^-1
    `static double` | `LUMINOSITY_OF_SUN` Solar Luminosity - W
    `static double` | `MASS_OF_EARTH` Mass of the Earth - Kg
    `static double` | `MASS_OF_JUPITER` Mass of Jupiter - Kg
    `static double` | `MASS_OF_SUN` Mass of Sun - Kg
    `static double` | `PARSEC` 1 Parsec - m
    `static double` | `PLANCK` Planck constant - J.s
    `static double` | `PLANCK_BAR` Planck constant/2*PI - J.s
    `static double` | `PLANCK_EVS` Planck constant - eV.s
    `static double` | `PLANCK_EVS_BAR` Planck constant/2*PI - eV.s
    `static double` | `PLANCK_LENGTH` Planck length - m
    `static double` | `PLANCK_MASS` Planck mass - Kg
    `static double` | `PLANCK_TEMP` Planck temperature - K
    `static double` | `PROTON_MASS` Proton mass - Kg
    `static double` | `RADIUS_OF_SUN` Radius of Sun - m
    `static double` | `RYDBERG` Rydberg constant - m^-1
    `static double` | `SOLAR_CONSTANT` Solar constant - kW.m^-1
    `static double` | `SPEED_OF_LIGHT` Speed of light in a vacuum - m.s^-1
    `static double` | `STEFAN_BOLTZMANN` Stefan-Boltzmann constant - W.m^-2.K^-4
    `static double` | `WAVE_HALPHA` Wavelength of H-alpha - Angstroms
    `static double` | `WIEN_DISPLACEMENT` Wien displacement law constant - m.K

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PhysicalConstants` | `getInstance()` Get instance of class for aliasing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPEED_OF_LIGHT

          public static final double SPEED_OF_LIGHT

      Speed of light in a vacuum - m.s^-1
      See Also:
        Constant Field Values

    - #### PLANCK

          public static final double PLANCK

      Planck constant - J.s
      See Also:
        Constant Field Values

    - #### PLANCK_BAR

          public static final double PLANCK_BAR

      Planck constant/2*PI - J.s
      See Also:
        Constant Field Values

    - #### PLANCK_EVS

          public static final double PLANCK_EVS

      Planck constant - eV.s
      See Also:
        Constant Field Values

    - #### PLANCK_EVS_BAR

          public static final double PLANCK_EVS_BAR

      Planck constant/2*PI - eV.s
      See Also:
        Constant Field Values

    - #### PLANCK_LENGTH

          public static final double PLANCK_LENGTH

      Planck length - m
      See Also:
        Constant Field Values

    - #### PLANCK_MASS

          public static final double PLANCK_MASS

      Planck mass - Kg
      See Also:
        Constant Field Values

    - #### PLANCK_TEMP

          public static final double PLANCK_TEMP

      Planck temperature - K
      See Also:
        Constant Field Values

    - #### BOLTZMANN

          public static final double BOLTZMANN

      Boltzmann constant - J.K^-1
      See Also:
        Constant Field Values

    - #### GRAVITATION

          public static final double GRAVITATION

      Gravitational constant - N.m^2.Kg^-2
      See Also:
        Constant Field Values

    - #### ACCEL_GRAV

          public static final double ACCEL_GRAV

      Standard acceleration of gravity on Earth m.s^-2
      See Also:
        Constant Field Values

    - #### ELECTRON_MASS

          public static final double ELECTRON_MASS

      Electron mass - Kg
      See Also:
        Constant Field Values

    - #### PROTON_MASS

          public static final double PROTON_MASS

      Proton mass - Kg
      See Also:
        Constant Field Values

    - #### FINE_STRUCTURE

          public static final double FINE_STRUCTURE

      Fine structure constant - unitless
      See Also:
        Constant Field Values

    - #### ELECTRON_VOLT

          public static final double ELECTRON_VOLT

      Electron volt - J
      See Also:
        Constant Field Values

    - #### STEFAN_BOLTZMANN

          public static final double STEFAN_BOLTZMANN

      Stefan-Boltzmann constant - W.m^-2.K^-4
      See Also:
        Constant Field Values

    - #### RYDBERG

          public static final double RYDBERG

      Rydberg constant - m^-1
      See Also:
        Constant Field Values

    - #### WIEN_DISPLACEMENT

          public static final double WIEN_DISPLACEMENT

      Wien displacement law constant - m.K
      See Also:
        Constant Field Values

    - #### WAVE_HALPHA

          public static final double WAVE_HALPHA

      Wavelength of H-alpha - Angstroms
      See Also:
        Constant Field Values

    - #### AU

          public static final double AU

      1 Astronomical unit - m
      See Also:
        Constant Field Values

    - #### PARSEC

          public static final double PARSEC

      1 Parsec - m
      See Also:
        Constant Field Values

    - #### MASS_OF_SUN

          public static final double MASS_OF_SUN

      Mass of Sun - Kg
      See Also:
        Constant Field Values

    - #### RADIUS_OF_SUN

          public static final double RADIUS_OF_SUN

      Radius of Sun - m
      See Also:
        Constant Field Values

    - #### LUMINOSITY_OF_SUN

          public static final double LUMINOSITY_OF_SUN

      Solar Luminosity - W
      See Also:
        Constant Field Values

    - #### MASS_OF_EARTH

          public static final double MASS_OF_EARTH

      Mass of the Earth - Kg
      See Also:
        Constant Field Values

    - #### MASS_OF_JUPITER

          public static final double MASS_OF_JUPITER

      Mass of Jupiter - Kg
      See Also:
        Constant Field Values

    - #### SOLAR_CONSTANT

          public static final double SOLAR_CONSTANT

      Solar constant - kW.m^-1
      See Also:
        Constant Field Values

    - #### JANSKY

          public static final double JANSKY

      1 Jansky - W.m^-2.Hz^-1
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static PhysicalConstants getInstance()

      Get instance of class for aliasing. That is could use:

           PhysicalConstants PC = PhysicalConstants.getInstance();
           System.out.println( "Speed of light = " + PC.SPEED_OF_LIGHT );

      to cut down on verbage.